Packages - Freedom Issue #3217

[xonotic-data] No license
2022-04-03 02:37 PM - gap

Status: info needed % Done: 0%
Priority: bug

Assignee:

Category:

Description

This truly is a sad day. | considered Xonotic to be a top-tier example of a libre game.
The data files are hosted on Gitlab and at least the data, maps, and music ".pk3’s have no license and as such are proprietary.

| seriously hope this is a mistake of forgetting to properly license the files in question. Losing Xonotic would be such a shame.

Related issues:

Related to Packages - Freedom Issue #3381: xonotic EULA/Terms of Service not-a-bug
Related to Packages - Feature Request #2360: [your-system sanity][xonotic-*] ... open
History

#1 - 2022-04-13 05:26 PM - GNUtoo
The PKGBUILD has the following:

license=('GPL")
So that means GPLv2 or later. The question here is if that license information is right or not.

That PKGBUILD downloads the release of Xonotic:

source= ("https://dl.xonotic.org/xonotic-${pkgver}.zip")

And it then uses some of its content to make a package:

package () {
[...1]

mv $srcdir/Xonotic/data $pkgdir/usr/share/xonotic/

# server stuff
cp -r $srcdir/Xonotic/server $pkgdir/usr/share/xonotic/

# key
install -Dm644 key_0.dOpk $pkgdir/usr/share/xonotic/key_0.d0Opk

And the COPYING has that:

Contributions

By committing data/files, you agree to license all the changes/additions
contained in your commits to Team Xonotic under the terms of the General Public
License version 2, with the "any later version" clause active. In particular,
you guarantee that you have acquired all the necessary rights from possible
other copyright holders to be able to license your work under this license. Any
submission which does not fulfill this condition may lead to legal action
against the submitter.

Exceptions however may be made on request, but in any case, Team Xonotic must
be allowed to distribute the changes as part of the git repository, and others
must be allowed to redistribute it in form of cloned git repositories. As
stated above, no guarantees are made by Team Xonotic about licensing status of
such branches.
So we can assume (for now) that the files are under GPLv2 or later.

In the data directory we have some pka3 files. That is just some zip files.

Do you have the link to the repositories that lack any licenses?

Do you know if some of the files in the data repositories are also in the pk3 files?

#2 - 2022-04-13 05:27 PM - GNUtoo

- Status changed from unconfirmed to info needed

#3 - 2022-04-13 05:41 PM - gap

https:/gitlab.com/xonotic/xonotic-data.pk3dir
https://gitlab.com/xonotic/xonotic-maps.pk3dir
https://gitlab.com/xonotic/xonotic-music.pk3dir

Above are three of the .pk3 repos, all of which have no license in the repos themselves, and have files which end up in the package.

https:/gitlab.com/xonotic/mediasource

I missed this repo before, which appears to have the sources for all the media in the above repos, so it does indeed appear to be a mistake of missing
the license file in the above repos. A cursory glance also seemed to reveal the sources all use libre formats usable by free software, although a more
in-depth audit would be required to ensure there are no proprietary media files embedded within those project files.

#4 - 2022-12-20 08:44 PM - bill-auger
- Related to Freedom Issue #3381: xonotic EULA/Terms of Service added

#5 - 2022-12-20 08:45 PM - bill-auger

- Related to Feature Request #2360: [your-system sanity][xonotic-*] Downloads packages from server added
